2019-12-08 00:27 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001605FSSCPmultiplayerpublic2008-08-05 17:33
ReporterShade 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001605: Rearm gets bugged for clients after the first use if interrupted
DescriptionAfter calling for a support ship once, clients are unable to do so again for the rest of the mission if anything (including death) interrupts it. The rearm seems to never be 'completed' from the game's point of view, as the 'abort rearm' (comm option 6) remains open even after the rearm is cancelled.

Often, this also happens even if the rearm is actually carried out, as a "rearm was aborted" message will appear just as the support ship detaches from your ship, again leaving the 'abort rearm' com option open and further rearming impossible.

Using said abort option has no effect.

Replicating: Join a game as a client, and call for rearm. Then self destruct before it can dock with you, and try calling for rearm again after respawning.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008918

karajorma (administrator)

Hmmmmm. It doesn't appear as if interruption is actually the issue here. Even after a successful rearm the abort sometimes still appears active.

I'll look into this further.

~0009251

Shade (developer)

This seems to be fixed on 3.6.10 now. We had a ton of successful rearms by clients last night.

~0009260

karajorma (administrator)

Unless someone has committed some code in the last couple of months I doubt it is. I could definitely reproduce the bug then. I'll give it another try though cause the problem I noticed was a lack of method to inform clients that the support ship had docked and that they could change the message back from abort.

Did any of the clients attempt to rearm twice?

~0009262

Shade (developer)

Last edited: 2008-04-28 11:14

Several times, in fact. Didn't have a single problem with it all night. I find it odd too since the problem was still there last time we did a large scale run with 3.6.10. Only major difference I can think of between then and now is the switch to the v2 server daemon, so I guess that may be what did it.

Either that or we were accidentally influenced by a passing spaceship using an infinite improbability drive, making the most unlikely occurances (such as rearm working twice in the same mission) happen constantly.

+Notes

-Issue History
Date Modified Username Field Change
2008-02-18 18:46 Shade New Issue
2008-02-27 22:32 karajorma Note Added: 0008918
2008-02-27 22:32 karajorma Status new => assigned
2008-02-27 22:32 karajorma Assigned To => karajorma
2008-04-27 15:20 Shade Note Added: 0009251
2008-04-28 07:50 karajorma Note Added: 0009260
2008-04-28 11:14 Shade Note Added: 0009262
2008-04-28 11:14 Shade Note Edited: 0009262
2008-08-05 17:33 karajorma Status assigned => resolved
2008-08-05 17:33 karajorma Fixed in Version => 3.6.10
2008-08-05 17:33 karajorma Resolution open => fixed
+Issue History